Name:		OTPClient
Version:	4.0.2
Release:	1%{?dist}
Summary:	Highly secure and easy to use GTK+ OTP client (TOTP and HOTP)

License:	GPLv3
URL:		https://github.com/paolostivanin/OTPClient
Source0:	https://github.com/paolostivanin/OTPClient/archive/OTPClient-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	libcotp		>= 3.0.0
BuildRequires:	libgcrypt-devel	>= 1.10.1
BuildRequires:	libpng-devel	>= 1.6.30
BuildRequires:	zbar-devel	>= 0.20
BuildRequires:	jansson-devel	>= 2.12.0
BuildRequires:	glib2-devel	>= 2.68.0
BuildRequires:	gtk3-devel	>= 3.24
BuildRequires:	libzip-devel	>= 1.0.0
BuildRequires:	libsecret-devel	>= 0.20
BuildRequires:	libuuid-devel	>= 2.34
BuildRequires:	protobuf-devel	>= 3.6.0
BuildRequires:	protobuf-c-devel	>= 1.3.0
BuildRequires:	qrencode-devel	>= 4.0.2

Requires:	libcotp		>= 3.0.0
Requires:	libgcrypt	>= 1.10.1
Requires:	gtk3		>= 3.24
Requires:	glib2		>= 2.68.0
Requires:	jansson		>= 2.12.0
Requires:	libpng		>= 1.6.30
Requires:	zbar		>= 0.20
Requires:	libzip		>= 1.0.0
Requires:	libsecret	>= 0.20
Requires:	libuuid		>= 2.34
Requires:	protobuf	>= 3.6.0
Requires:	protobuf-c	>= 1.3.0
Requires:	qrencode-libs	>= 4.0.2

%description
Highly secure and easy to use GTK+ software for two-factor authentication that supports both Time-based
One-time Passwords (TOTP) and HMAC-Based One-Time Passwords (HOTP)

%global debug_package %{nil}

%prep
%autosetup

%build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files
%{_bindir}/otpclient
%{_bindir}/otpclient-cli
%{_mandir}/man1/otpclient.1.*
%{_mandir}/man1/otpclient-cli.1.*
/usr/share/applications/com.github.paolostivanin.OTPClient.desktop
/usr/share/icons/hicolor/scalable/apps/com.github.paolostivanin.OTPClient.svg
/usr/share/metainfo/com.github.paolostivanin.OTPClient.appdata.xml
/usr/share/otpclient/otpclient.ui
/usr/share/otpclient/shortcuts.ui
/usr/share/otpclient/add_popover.ui
/usr/share/otpclient/settings_popover.ui
/usr/share/otpclient/security_settings.ui
/usr/share/icons/hicolor/scalable/apps/com.github.paolostivanin.OTPClient-symbolic.svg

%license LICENSE
%doc README.md

%changelog
* Tue Nov  5 2024 Detlef Graef <detlef.graef [at] gmx.de> 4.0.2-1
- Ver. 4.0.2
* Tue Jun 11 2024 Detlef Graef <detlef.graef [at] gmx.de> 3.6.0-1
- Ver. 3.6.0
* Sat Dec 9 2023 Detlef Graef <detlef.graef [at] gmx.de> 3.2.1-1
- Ver. 3.2.1
* Sat Jul 22 2023 Detlef Graef <detlef.gaef [at]> gmx.de> 3.1.9-1
- Ver. 3.1.9
* Mon Jul 18 2022 Detlef Graef <detlef.graef [at] gmx.de> 2.6.2-1
- Ver. 2.6.2
* Mon Jun 06 2022 Detlef Graef <detlef.graef [at] gmx.de> 2.5.1-1
- Ver. 2.5.1
* Sat Nov 14 2020 Detlef Graef <detlef.graef [at] gmx.de> 2.3.2-1
- Ver. 2.3.2
* Mon Aug 12 2019 Detlef Graef <detlef.graef [at] gmx.de> 1.2.2-1
- Initial version
